/// <reference types="react" />
import { Form } from './Form';
export declare class CheckboxGroup extends Form {
    constructor(props: any, context: any);
    getMainCheckbox(): JSX.Element;
    getMainCheckboxValue(): any;
    calculateMainCheckboxValue(selectedCheckboxesCount: any, totalCheckboxesCount: any): any;
    onMainCheckboxClick(checked: any): void;
    checkboxesPanelToggleHandler(): void;
    render(): JSX.Element;
}
